package com.ruoyi.custclient.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.custclient.mapper.VehiclePhotoMapper;
import com.ruoyi.custclient.domain.VehiclePhoto;
import com.ruoyi.custclient.service.IVehiclePhotoService;

/**
 * 车辆影像化资料Service业务层处理
 * 
 * @author wuyufei
 * @date 2024-10-21
 */
@Service
public class VehiclePhotoServiceImpl implements IVehiclePhotoService 
{
    @Autowired
    private VehiclePhotoMapper vehiclePhotoMapper;

    /**
     * 查询车辆影像化资料
     * 
     * @param id 车辆影像化资料主键
     * @return 车辆影像化资料
     */
    @Override
    public VehiclePhoto selectVehiclePhotoById(Long id)
    {
        return vehiclePhotoMapper.selectVehiclePhotoById(id);
    }

    /**
     * 查询车辆影像化资料列表
     * 
     * @param vehiclePhoto 车辆影像化资料
     * @return 车辆影像化资料
     */
    @Override
    public List<VehiclePhoto> selectVehiclePhotoList(VehiclePhoto vehiclePhoto)
    {
        return vehiclePhotoMapper.selectVehiclePhotoList(vehiclePhoto);
    }

    /**
     * 新增车辆影像化资料
     * 
     * @param vehiclePhoto 车辆影像化资料
     * @return 结果
     */
    @Override
    public int insertVehiclePhoto(VehiclePhoto vehiclePhoto)
    {
        return vehiclePhotoMapper.insertVehiclePhoto(vehiclePhoto);
    }

    /**
     * 修改车辆影像化资料
     * 
     * @param vehiclePhoto 车辆影像化资料
     * @return 结果
     */
    @Override
    public int updateVehiclePhoto(VehiclePhoto vehiclePhoto)
    {
        return vehiclePhotoMapper.updateVehiclePhoto(vehiclePhoto);
    }

    /**
     * 批量删除车辆影像化资料
     * 
     * @param ids 需要删除的车辆影像化资料主键
     * @return 结果
     */
    @Override
    public int deleteVehiclePhotoByIds(Long[] ids)
    {
        return vehiclePhotoMapper.deleteVehiclePhotoByIds(ids);
    }

    /**
     * 删除车辆影像化资料信息
     * 
     * @param id 车辆影像化资料主键
     * @return 结果
     */
    @Override
    public int deleteVehiclePhotoById(Long id)
    {
        return vehiclePhotoMapper.deleteVehiclePhotoById(id);
    }
}
